%define major	1
%define admajor	0

%define libname		%mklibname %{name} %{major}
%define adlibname	%mklibname sphinxad %{admajor}
%define devname		%mklibname %{name} -d

Name:		sphinxbase
Version:	0.8
Release:	%mkrel 8
Summary:	The CMU Sphinx Recognition System
Group:		System/Libraries
License:	BSD and LGPLv2+
Url:		http://cmusphinx.sourceforge.net/
Source0:	http://downloads.sourceforge.net/cmusphinx/%{name}-%{version}.tar.gz
# From upstream
# http://sourceforge.net/p/cmusphinx/bugs/314/
Patch0:		sphinxbase-0.8-fix-testsuite.patch
BuildRequires:	bison
BuildRequires:	doxygen
BuildRequires:	python-devel
BuildRequires:	sndfile-devel
# for check
BuildRequires:	locales-fr

%description
The CMU Sphinx Recognition System is a library and a set
of examples and utilities for speech recognition.

This package contains the utilities.

%package -n %{libname}
Summary:	Shared components for Sphinx speech recognition
Group:		System/Libraries

%description -n %{libname}
This package contains the shared libraries for Sphinx speech recognition.

%package -n %{adlibname}
Summary:	Shared components for Sphinx speech recognition
Group:		System/Libraries

%description -n %{adlibname}
This package contains the shared libraries for Sphinx speech recognition.

%package -n %{devname}
Summary:	Header files for developing with The CMU Sphinx Recognition System
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	%{adlibname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains the header files and examples for developing with
The CMU Sphinx Recognition System.

%package -n python-%{name}
Summary:	Python extension for The CMU Sphinx Recognition System
Group:		Development/Python

%description -n python-%{name}
This package contains the python extension for The CMU Sphinx Recognition
System.

%prep
%setup -q
%apply_patches

%build
%configure2_5x --disable-static \
	--disable-rpath
%make

%install
%makeinstall_std

# we don't want these
rm -rf %{buildroot}%{_libdir}/*.la

# man pages
mkdir -p %{buildroot}%{_mandir}/man1
install -pm644 doc/*.1 %{buildroot}%{_mandir}/man1/

%check
%make check

%files
%{_bindir}/sphinx*
%{_mandir}/man1/sphinx*

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}*

%files -n %{adlibname}
%{_libdir}/libsphinxad.so.%{admajor}*

%files -n python-%{name}
%{py_platsitedir}/*

%files -n %{devname}
%doc doc/html/
%{_includedir}/%{name}
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/lib%{name}.so
%{_libdir}/libsphinxad.so


%changelog
* Mon Feb 08 2016 umeabot <umeabot> 0.8-8.mga6
+ Revision: 947943
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.8-7.mga5
+ Revision: 750576
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.8-6.mga5
+ Revision: 730174
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.8-5.mga5
+ Revision: 689284
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.8-3.mga4
+ Revision: 544602
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.8-2.mga4
+ Revision: 499890
- Rebuild to add different pythonegg provides for python 2 and 3

* Thu Jul 11 2013 wally <wally> 0.8-1.mga4
+ Revision: 453146
- new version 0.8
- drop upstreamed patch
- add patch from upstream to fix testsuite

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jul 18 2011 wally <wally> 0.7-1.mga2
+ Revision: 125958
- imported package sphinxbase

